//
//  UpdateMethods.h
//  FMenu
//
//  Created by Paul Borokhov on 1/5/07.
//  Copyright 2007 Paul Borokhov. All rights reserved.
/*
**
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* FMenu is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#import <Cocoa/Cocoa.h>
#import <Controller.h>
#import "MenuItemUpdate.h"

@interface Controller (UpdateMethods)

#pragma mark -
#pragma mark Perform Update

-(void) getCounts;
-(void) getCountsWithTimer:(NSTimer *)aTimer;
-(void) getProfile:(id)anObject;
-(void) getNotifications:(id)anObject;
-(void) getWallCount:(id)anObject;
-(void) getAllEvents:(id)anObject;
-(void) getUpcomingEvents:(id)anObject;
-(void) fillEvents:(NSArray *)eventsData;
-(void) getFriends:(id)anObject;
-(void) fillFriendsBox:(NSArray *)friendsData;
-(void) getAlbums:(id)anObject;
-(void) getGroups:(id)anObject;
-(void) fillGroups:(NSArray *)groupsData;
-(IBAction) fillsearch:(id)sender;
-(IBAction) calculateCount:(id)sender;
-(void) updateCount:(int)count;
-(void) sleep:(NSException *)exception;
-(void) incrementTurn;

@end